Logstash 6.3.0 Release Notesedit

Important

Persistent Queue users must upgrade. Old data will not be compatible with 6.3.0, and must be migrated or deleted. Read Upgrading Persistent Queue from Logstash 6.2.x and Earlier for more information.

  • BUGFIX: Fix race condition in shutdown of pipelines #9285
  • BUGFIX: Ensure atomic creation of persistent queue checkpoints #9303
  • BUGFIX: Fixed issue where events containing non-ASCII characters were getting encoded incorrectly after passing through the persistent queue #9307
  • BUGFIX: Fixes incorrect serialization of strings extracted from other strings via substring, regex matching, etc. #9308
  • BUGFIX: Fixes nested metadata field lookup in Java execution #9297
  • BUGFIX: Persistent queue must allow reading empty batches #9328
  • BUGFIX: Prevents pipelines.yml from being overwritten during RPM/DEB package upgrade #9130
  • BUGFIX: Different types of values for the ssl.enabled module option are now tolerated #8600
  • BUGFIX: Detect invalid proxy and raise error #9230
  • BUGFIX: Fix Logstash::Util.deep_clone for LogStash::Timestamp #9405
  • BUGFIX: Better error message for temp directory errors #9293
  • BUGFIX: Better error message when Event#set is called on non-collection nested field #9298
  • Implemented upgrade to persistent queues v2 #9538
  • Inter-pipeline communication (within multiple pipelines on a single Logstash node) #9225
  • Speed up pipeline compilation #9278
  • Added bootstrap checks for available disk space when persistent queue is enabled #8978
  • Made -V/--version fast on Windows #8508
  • Start web server after pipeline #9398
  • Optimize out empty if conditions from execution graph #9314

Pluginsedit

Netflow Codec

  • Added support for IPFIX from Procera/NetIntact/Sandvine 15.1 #131

JDBC_static Filter

  • Support multiple driver libraries #22
  • Use Java classloader to load driver jar. Use system import from file to loader local database. Prevent locking errors when no records returned. #18, #17, #12
  • loader_schedule now works as designed #8

UDP Input

  • Fix missing require for the ipaddr library #37